(function ($, Drupal, drupalSettings) {
	Drupal.behaviors.image_field_360 = {
		attach: function (context) {
			var container = document.getElementById('photosphere');
			$('.image-photosphere').map(function (index, element) {
				img = $(this).attr('src')
			});
			var PSV = new PhotoSphereViewer({
				panorama: img,
				container: container,
				size: {
					width: drupalSettings.image_field_360.width,
					height: drupalSettings.image_field_360.height
				},
				loading_msg: drupalSettings.image_field_360.loadingMsg,
				navbar: drupalSettings.image_field_360.navbar,
				navbar_style: {
					backgroundColor: drupalSettings.image_field_360.navbar_style.backgroundColor,
					buttonsColor: drupalSettings.image_field_360.navbar_style.buttonsColor,
					buttonsBackgroundColor: drupalSettings.image_field_360.navbar_style.buttonsBackgroundColor,
					activeButtonsBackgroundColor: drupalSettings.image_field_360.navbar_style.activeButtonsBackgroundColor,
					buttonsHeight: drupalSettings.image_field_360.navbar_style.buttonsHeight,
					autorotateThickness: drupalSettings.image_field_360.navbar_style.autorotateThickness,
					zoomRangeWidth: drupalSettings.image_field_360.navbar_style.zoomRangeWidth,
					zoomRangeThickness: drupalSettings.image_field_360.navbar_style.zoomRangeThickness,
					zoomRangeDisk: drupalSettings.image_field_360.navbar_style.zoomRangeDisk,
					fullscreenRatio: drupalSettings.image_field_360.navbar_style.fullscreenRatio,
					fullscreenThickness: drupalSettings.image_field_360.navbar_style.fullscreenThickness
				}
			});
		}
	};
})(jQuery, Drupal, drupalSettings);
